Bug 57669 - up2date fails to apply glibc-2.2.4-18.7.0.3
Summary: up2date fails to apply glibc-2.2.4-18.7.0.3
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 7.0
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-18 17:01 UTC by phostetl
Modified: 2016-07-08 10:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-31 20:45:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2002:044 normal SHIPPED_LIVE Updated up2date and rhn_register clients available 2002-03-06 05:00:00 UTC
Red Hat Product Errata RHBA-2002:050 normal SHIPPED_LIVE Updated up2date and rhn_register clients available 2002-03-22 05:00:00 UTC

Description phostetl 2001-12-18 17:01:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-4GB i686)

Description of problem:
up2date should have grabbed and installed the glibc-2.2.4-18.7.0.3 patch. 
Instead I got a repeatable error about incorrect architechture.  The system
has:

# rpm -qa | grep up2
up2date-2.7.11-7.x.1
# rpm -qa | grep rhn
rhn_register-2.7.2-7.x.8
# uname -a
Linux herculock.com 2.2.19-7.0.12 #1 Fri Oct 26 15:17:33 EDT 2001 i586
unknown  
# dmesg | grep -i cpu
CPU: Intel Pentium MMX stepping 03

The system is a Dell Dimension M200a

I was able to download apply the glibc updates from the command line.
                                                        



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
# up2date -u

Retrieving list of all available packages...
########################################
########################################

Removing installed packages from list of updates...
########################################

Removing packages marked to skip from list...
########################################

Getting headers for available packages...
########################################

Removing packages with files marked to skip from list...
########################################

Testing package set / solving RPM inter-dependencies...
########################################
RPM conflict error.  The message was:
Test install failed because of package conflicts:
package glibc-2.2.4-18.7.0.3 is for a different architecture

# rpm -qa | grep glibc
glibc-common-2.2.4-18.7.0
glibc-2.2.4-18.7.0


Additional info:

Comment 1 phostetl 2001-12-18 19:00:00 UTC
I think the problem is the missing glibc rpm for the i586 architecture.  I
solved the problem by manually doing the update with the i386 glibc.

# rpm -q glibc glibc-common --qf '%{arch} %{name} %{version}\n'
i386 glibc 2.2.4
i386 glibc-common 2.2.4

Comment 2 phostetl 2001-12-18 19:41:20 UTC
I have also verified that this same bug exists on Red Hat 7.1 on an i586.

Also, my problem solution is only a quick workaround, not a fix.

Comment 3 Adrian Likins 2002-01-07 23:39:13 UTC
Part of this was a server side issue. Are you still seeing this behaviour?

Comment 4 phostetl 2002-01-08 02:34:46 UTC
I don't have any unpatched systems to test it on.  If it a server side issue
which has been corrected, then please mark it as fixed.

Comment 5 Adrian Likins 2002-01-16 21:46:46 UTC
Havent seen any reports of this since the server side change, so
closing it out.

There is a client change as well that makes the client less
picky about what the server sends, so that should be in the next
version as well.

Comment 6 Kjartan Maraas 2003-03-31 20:45:50 UTC
Should this be marked as resolved?


Note You need to log in before you can comment on or make changes to this bug.